atomicity.h File Reference

Go to the source code of this file.

## Namespaces

| __gnu_cxx

## Macros

#define | _GLIBCXX_READ_MEM_BARRIER
#define | _GLIBCXX_WRITE_MEM_BARRIER

## Functions

void | __gnu_cxx::__atomic_add (volatile _Atomic_word *, int) throw ()
static void | __gnu_cxx::__atomic_add_dispatch (_Atomic_word *__mem, int __val)
static void | __gnu_cxx::__atomic_add_single (_Atomic_word *__mem, int __val)
_Atomic_word | __gnu_cxx::__exchange_and_add (volatile _Atomic_word *, int) throw ()
static _Atomic_word | __gnu_cxx::__exchange_and_add_dispatch (_Atomic_word *__mem, int __val)
static _Atomic_word | __gnu_cxx::__exchange_and_add_single (_Atomic_word *__mem, int __val)

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file atomicity.h.